Bug 1575114 - Calibration problems using wayland
Summary: Calibration problems using wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-color-manager
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 19:30 UTC by Knut-Håvard Aksnes
Modified: 2019-05-28 20:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:05:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Knut-Håvard Aksnes 2018-05-04 19:30:27 UTC
Description of problem:
I am trying to calibrate an old laptop with a connected HDMI screen.
The displays are set up in an extended desktop configuration so there should be two frame buffers.
Callibrating screen 1 (the laptop screen) works well.
When selecting screen 2 (the HDMI display) for calibration the calibration window where I am supposed to put my calibration device pops up on screen 1 not screen 2 as expected.


Version-Release number of selected component (if applicable):
3.28.0-1.fc28

How reproducible:


Steps to Reproduce:
1. Configure a laptop with an extra display.
2. Configure the displays as separate screens in an extended desktop mode.
3. Plug in a supported calibration device
4. Calibrate primary display.
5. Unplug the calibration device.
6. Reinsert the calibration device.
7. Attempt to calibrate the secondary display

Actual results:
The calibration window pops up on the same screen in both cases, preventing calibration of one of the devices 

Expected results:

The calibration window should pop up centered on the display selected for calibration.

Additional info:
My laptop is old with a NVidia card. After calibration the next test is to see if the Wayland driver is able to apply correct profiles to both displays, but that will be a separate issue. Lots of NVIDIA drivers (but not Nuveau) have had problems with this.
I have tested this using an X-Rite i1 colorimeter using medium quality calibration and display whitepoint. I also own a Colormunki photo spectrometer which is better but in general much slower and complex to use.

Comment 1 Ben Cotton 2019-05-02 21:50:50 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 20:05:59 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.